import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 * @stability stable
 */
export interface DataAwsOrganizationsOrganizationalUnitsConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly parentId: string;
}
/**
 * @stability stable
 */
export declare class DataAwsOrganizationsOrganizationalUnitsChildren extends ComplexComputedList {
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get name(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsOrganizationsOrganizationalUnits extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsOrganizationsOrganizationalUnitsConfig);
    /**
     * @stability stable
     */
    children(index: string): DataAwsOrganizationsOrganizationalUnitsChildren;
    /**
     * @stability stable
     */
    get id(): string;
    private _parentId;
    /**
     * @stability stable
     */
    get parentId(): string;
    /**
     * @stability stable
     */
    set parentId(value: string);
    /**
     * @stability stable
     */
    get parentIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
