import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 * @stability stable
 */
export interface DataAwsSecretsmanagerSecretRotationConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly secretId: string;
}
/**
 * @stability stable
 */
export declare class DataAwsSecretsmanagerSecretRotationRotationRules extends ComplexComputedList {
    /**
     * @stability stable
     */
    get automaticallyAfterDays(): number;
}
/**
 * @stability stable
 */
export declare class DataAwsSecretsmanagerSecretRotation extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsSecretsmanagerSecretRotationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get rotationEnabled(): boolean;
    /**
     * @stability stable
     */
    get rotationLambdaArn(): string;
    /**
     * @stability stable
     */
    rotationRules(index: string): DataAwsSecretsmanagerSecretRotationRotationRules;
    private _secretId;
    /**
     * @stability stable
     */
    get secretId(): string;
    /**
     * @stability stable
     */
    set secretId(value: string);
    /**
     * @stability stable
     */
    get secretIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
