import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface FmsAdminAccountConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accountId?: string;
}
/**
 * @stability stable
 */
export declare class FmsAdminAccount extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: FmsAdminAccountConfig);
    private _accountId?;
    /**
     * @stability stable
     */
    get accountId(): string;
    /**
     * @stability stable
     */
    set accountId(value: string);
    /**
     * @stability stable
     */
    resetAccountId(): void;
    /**
     * @stability stable
     */
    get accountIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
