import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface Route53QueryLogConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly cloudwatchLogGroupArn: string;
    /**
     * @stability stable
     */
    readonly zoneId: string;
}
/**
 * @stability stable
 */
export declare class Route53QueryLog extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: Route53QueryLogConfig);
    private _cloudwatchLogGroupArn;
    /**
     * @stability stable
     */
    get cloudwatchLogGroupArn(): string;
    /**
     * @stability stable
     */
    set cloudwatchLogGroupArn(value: string);
    /**
     * @stability stable
     */
    get cloudwatchLogGroupArnInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _zoneId;
    /**
     * @stability stable
     */
    get zoneId(): string;
    /**
     * @stability stable
     */
    set zoneId(value: string);
    /**
     * @stability stable
     */
    get zoneIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
