import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface StoragegatewayUploadBufferConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly diskId: string;
    /**
     * @stability stable
     */
    readonly gatewayArn: string;
}
/**
 * @stability stable
 */
export declare class StoragegatewayUploadBuffer extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StoragegatewayUploadBufferConfig);
    private _diskId;
    /**
     * @stability stable
     */
    get diskId(): string;
    /**
     * @stability stable
     */
    set diskId(value: string);
    /**
     * @stability stable
     */
    get diskIdInput(): string;
    private _gatewayArn;
    /**
     * @stability stable
     */
    get gatewayArn(): string;
    /**
     * @stability stable
     */
    set gatewayArn(value: string);
    /**
     * @stability stable
     */
    get gatewayArnInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
