import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface VpcEndpointServiceAllowedPrincipalConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly principalArn: string;
    /**
     * @stability stable
     */
    readonly vpcEndpointServiceId: string;
}
/**
 * @stability stable
 */
export declare class VpcEndpointServiceAllowedPrincipal extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VpcEndpointServiceAllowedPrincipalConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _principalArn;
    /**
     * @stability stable
     */
    get principalArn(): string;
    /**
     * @stability stable
     */
    set principalArn(value: string);
    /**
     * @stability stable
     */
    get principalArnInput(): string;
    private _vpcEndpointServiceId;
    /**
     * @stability stable
     */
    get vpcEndpointServiceId(): string;
    /**
     * @stability stable
     */
    set vpcEndpointServiceId(value: string);
    /**
     * @stability stable
     */
    get vpcEndpointServiceIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
