import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface Wafv2WebAclAssociationConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly resourceArn: string;
    /**
     * @stability stable
     */
    readonly webAclArn: string;
}
/**
 * @stability stable
 */
export declare class Wafv2WebAclAssociation extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: Wafv2WebAclAssociationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _resourceArn;
    /**
     * @stability stable
     */
    get resourceArn(): string;
    /**
     * @stability stable
     */
    set resourceArn(value: string);
    /**
     * @stability stable
     */
    get resourceArnInput(): string;
    private _webAclArn;
    /**
     * @stability stable
     */
    get webAclArn(): string;
    /**
     * @stability stable
     */
    set webAclArn(value: string);
    /**
     * @stability stable
     */
    get webAclArnInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
