import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface Ec2AvailabilityZoneGroupConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly groupName: string;
    /**
     * @stability stable
     */
    readonly optInStatus: string;
}
/**
 * @stability stable
 */
export declare class Ec2AvailabilityZoneGroup extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: Ec2AvailabilityZoneGroupConfig);
    private _groupName;
    /**
     * @stability stable
     */
    get groupName(): string;
    /**
     * @stability stable
     */
    set groupName(value: string);
    /**
     * @stability stable
     */
    get groupNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _optInStatus;
    /**
     * @stability stable
     */
    get optInStatus(): string;
    /**
     * @stability stable
     */
    set optInStatus(value: string);
    /**
     * @stability stable
     */
    get optInStatusInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
