import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface IamRolePolicyAttachmentConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly policyArn: string;
    /**
     * @stability stable
     */
    readonly role: string;
}
/**
 * @stability stable
 */
export declare class IamRolePolicyAttachment extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IamRolePolicyAttachmentConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _policyArn;
    /**
     * @stability stable
     */
    get policyArn(): string;
    /**
     * @stability stable
     */
    set policyArn(value: string);
    /**
     * @stability stable
     */
    get policyArnInput(): string;
    private _role;
    /**
     * @stability stable
     */
    get role(): string;
    /**
     * @stability stable
     */
    set role(value: string);
    /**
     * @stability stable
     */
    get roleInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
