import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface SecurityhubStandardsSubscriptionConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly standardsArn: string;
}
/**
 * @stability stable
 */
export declare class SecurityhubStandardsSubscription extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SecurityhubStandardsSubscriptionConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _standardsArn;
    /**
     * @stability stable
     */
    get standardsArn(): string;
    /**
     * @stability stable
     */
    set standardsArn(value: string);
    /**
     * @stability stable
     */
    get standardsArnInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
