import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface SsmPatchGroupConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly baselineId: string;
    /**
     * @stability stable
     */
    readonly patchGroup: string;
}
/**
 * @stability stable
 */
export declare class SsmPatchGroup extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SsmPatchGroupConfig);
    private _baselineId;
    /**
     * @stability stable
     */
    get baselineId(): string;
    /**
     * @stability stable
     */
    set baselineId(value: string);
    /**
     * @stability stable
     */
    get baselineIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _patchGroup;
    /**
     * @stability stable
     */
    get patchGroup(): string;
    /**
     * @stability stable
     */
    set patchGroup(value: string);
    /**
     * @stability stable
     */
    get patchGroupInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
